FANDOM


Editbutton

Creating ModsEdit

Creating a modification for Spelunky Classic requires:

  • GameMaker 8.0 Pro or GameMaker 8.1 Standard for Windows. The full version of the software is required, as some features that are required for Spelunky to compile are not enabled in the 'Lite' version.
  • The Spelunky source. The original source can be found here or here. Members of the Mossmouth forums maintain the unofficial Spelunky Community Update which is a version of the source that fixes many bugs found in the original source without removing or adding anything else from the game. Another version of the source that based on the unofficial update is compatible with both Windows and OS X (using GameMaker 7 for Mac ), and is available here.


Finding ModsEdit

Most Spelunky mods can be found in the Spelunky Classic Source section of the Mossmouth Forums . A complete list of mods is maintained in The Spelunky Modification Compendium topic.

Installing ModsEdit

Place the mod file(s) in the same folder as the original game and run. Mods require the extra files included with the original game to be present (sound, music) to run, but are typically not included to reduce file size.

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.